Index: /ipk/source.sh4/lcdpearlskins_schwarz_ohne_picons/CONTROL/control
===================================================================
--- /ipk/source.sh4/lcdpearlskins_schwarz_ohne_picons/CONTROL/control	(revision 13512)
+++ /ipk/source.sh4/lcdpearlskins_schwarz_ohne_picons/CONTROL/control	(revision 13512)
@@ -0,0 +1,11 @@
+Package: titan-plugin-lcdpearlskins-schwarz.ohne.picon
+Version: 1.0
+Description: Alternativer Skin fuer Pearl LCD V1.6
+Section: tools
+Priority: optional
+Maintainer: AAF Forum
+Architecture: sh4
+OE: Skin fuer Pearl LCD
+Homepage: http://www.aaf-digital.info
+Depends:
+Source: http://www.aaf-digital.info
Index: /ipk/source.sh4/lcdpearlskins_schwarz_ohne_picons/CONTROL/postinst
===================================================================
--- /ipk/source.sh4/lcdpearlskins_schwarz_ohne_picons/CONTROL/postinst	(revision 13512)
+++ /ipk/source.sh4/lcdpearlskins_schwarz_ohne_picons/CONTROL/postinst	(revision 13512)
@@ -0,0 +1,14 @@
+#!/bin/sh
+TMP=/tmp/.TOOLS
+echo "successfully installed"
+
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+echo "now you can choose the new Skin for Pearl LCD...."
+exit 0
Index: /ipk/source.sh4/lcdpearlskins_schwarz_ohne_picons/CONTROL/postrm
===================================================================
--- /ipk/source.sh4/lcdpearlskins_schwarz_ohne_picons/CONTROL/postrm	(revision 13512)
+++ /ipk/source.sh4/lcdpearlskins_schwarz_ohne_picons/CONTROL/postrm	(revision 13512)
@@ -0,0 +1,16 @@
+#!/bin/sh
+TMP=/tmp/.TOOLS
+
+mv /var/swap/titanplugins/lcdpearl1/originalskin.xml /var/swap/titanplugins/lcdpearl1/skin.xml
+echo "Sichere Originalskin....."
+
+echo "successfully removed"
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+exit 0
Index: /ipk/source.sh4/lcdpearlskins_schwarz_ohne_picons/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/lcdpearlskins_schwarz_ohne_picons/CONTROL/preinst	(revision 13512)
+++ /ipk/source.sh4/lcdpearlskins_schwarz_ohne_picons/CONTROL/preinst	(revision 13512)
@@ -0,0 +1,60 @@
+#!/bin/sh
+#
+TMP=/tmp/.TOOLS
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+echo "checking lcdpearl installation"
+if [ ! -d /var/swap/titanplugins/lcdpearl1 ]; then
+  echo "--------------------------"
+	echo "Keine lcdpearl Installation gefunden! Bitte erst das lcdpearl Plugin istallieren!"
+	echo "--------------------------"
+	exit 1
+fi
+echo "lcdpearl Installation ok...."
+
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=4
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok		
+	fi
+else
+	echo "syncing disk"
+	sync
+fi
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+
+mv /var/swap/titanplugins/lcdpearl1/skin.xml /var/swap/titanplugins/lcdpearl1/originalskin.xml
+echo "Sichere Originalskin....."
+
+echo "Installiere Pearl LCD Skin..."
+
+exit 0
Index: /ipk/source.sh4/lcdpearlskins_schwarz_ohne_picons/CONTROL/prerm
===================================================================
--- /ipk/source.sh4/lcdpearlskins_schwarz_ohne_picons/CONTROL/prerm	(revision 13512)
+++ /ipk/source.sh4/lcdpearlskins_schwarz_ohne_picons/CONTROL/prerm	(revision 13512)
@@ -0,0 +1,13 @@
+#!/bin/sh
+TMP=/tmp/.TOOLS
+
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+echo "remove Pearl LCD Skin...."
+exit 0
Index: /ipk/source.sh4/lcdpearlskins_schwarz_ohne_picons/var/swap/titanplugins/lcdpearl1/skin.xml
===================================================================
--- /ipk/source.sh4/lcdpearlskins_schwarz_ohne_picons/var/swap/titanplugins/lcdpearl1/skin.xml	(revision 13512)
+++ /ipk/source.sh4/lcdpearlskins_schwarz_ohne_picons/var/swap/titanplugins/lcdpearl1/skin.xml	(revision 13512)
@@ -0,0 +1,7 @@
+<screen halign=center fontcol=#E6E6E6 fontsize=30 name=LCD_Pearl1 posx=0 posy=0 width=320 height=240 bgcol=black>
+<node halign=center text="" fontsize=55 fontcol=#E6E6E6 func=getaktchannelname name=channelname posx=center posy=10 width=300 height=200/>
+#<node func=getpicon posx=110 posy=50 width=100 height=60/>
+#<node halign=center func=getepgakttitle bordersize=0 bordercol=bordercol fontsize=20 posx=10 posy=125 width=300 height=20 fontcol=fontcol/>
+<node halign=center bordersize=2 progresscol=#B40404 bgcol=#E6E6E6 halign=left func=getepgakttimeline bordercol=bordercol name=epgline posy=center posx=20 width=265 height=30/>
+<node halign=center fontcol=#E6E6E6 fontsize=90 text="" name=akttime posx=center posy=150 width=300 height=240 />
+</screen>
